### jsoncons::jsonschema::make_schema: 
(deprecated since 0.174.0) 
(removed in 1.0.0)

```cpp
#include <jsoncons_ext/jsonschema/jsonschema.hpp>

template <typename Json>
std::shared_ptr<json_schema<Json>> make_schema(const Json& schema);  (1)

template <typename Json>
std::shared_ptr<json_schema<Json>> make_schema(const Json& schema,
    const std::string& retrieval_uri);                               (2) (since 0.173.0)

template <typename Json,typename SchemaResolver>
std::shared_ptr<json_schema<Json>> make_schema(const Json& schema,
    const std::string& retrieval_uri, const SchemaResolver& resolver);    (3) (since 0.173.0)

template <typename Json,typename SchemaResolver>
std::shared_ptr<json_schema<Json>> make_schema(const Json& schema, 
    const SchemaResolver& resolver);                                      (4)
```

Returns a `shared_ptr` to a `json_schema<Json>`.

#### Parameters

     schema
     JSON Schema 

     resolver
     A function object with the signature of resolver being equivalent to 
    
    Json fun(const jsoncons::uri& uri);

#### Return value

Returns a `shared_ptr` to a `json_schema<Json>`.

#### Exceptions

(1)-(2) Throws a [schema_error](schema_error.md) if JSON Schema compilation fails.


